<?php

class UBB_QUOTE extends UBB
{
	var $allow1 = array('EMPTY', 'STRING');
	var $allow2 = 'STRING';
	
	
	var $info = array('Name'=>'Quote', 'Version'=>'1.0', 'Info'=>'Display a quotebox');
	
	var $ext_types = array();
	
	function process($value1, $value2)
	{
		$q = '';
		
		if ($value1 !== '')
			$q = ' from '.$value1;
		
		return "<div><b>Quote$q</b><div	style='background:#999999;margin:0px 10px 10px 10px;border:1px solid black'>$value2</div></div>";
	}
}

?>